<?
@include("fnc.php");

if(!$_POST['txtusr'] or !$_POST['txtclave']){
  alert("Ingrese un usuario y contraseña","javascript:history.go(-1)");
}

if(!$_POST['tipo_usr']){
  alert("Parámetros incorrectos","javascript:history.go(-1)");
}

switch($tipo_usr){
  case "alumno":
  //****************************************************************************
    if(!$_POST[txtusr] or !$_POST[txtclave]){
   alert("Ingrese un usuario y contraseña","frm_login.php");
   exit();
  }

  $clave=base64_encode($txtclave);
  $qver=mysql_query("select * from alumnos where carnet='$txtusr' and clave='$clave'");
  if(mysql_num_rows($qver)==0){
   alert("Usted ingresó un usuario o clave incorrecta,\\npor favor intente de nuevo","javascript:history.go(-1)");
  }

  $info=mysql_fetch_array($qver);
  if($info[activo]!="S"){
    alert("Acceso bloqueado,\\ncomuníquese con la administración de su centro educativo","javascript:history.go(-1)");
  }
  session_start();
  $sid=session_id();

  $del_sesion=mysql_query("delete from sesion where sesion = '$sid'");
  $info[carnet]=base64_encode($info[carnet]);

  $sql="insert into sesion
        set sesion='$sid',
        usuario='{$info[carnet]}',
        nombre='{$info[nombre]}',
        apellido='{$info[apellido]}',
        fecha='$fecha',
        hora='$hora',
        clave='$clave',
        ip='$rmhost',
        tipo='Alumno',
        seccion='{$info[seccion]}',
        mail='{$info[mail]}'";

  $ins=mysql_query($sql);

  if($ins){
   alert("Bienvenido:\\n{$info[nombre]} {$info[apellido]}","./alumno/inicio.php");
  }  else{
   echo mysql_error();
  }
  //*********************************************************************************
  break;
  case "catedratico":
  if(!$_POST[txtusr] or !$_POST[txtclave]){
   alert("Ingrese un usuario y contraseña","frm_login.php");
   exit();
  }

  $clave=base64_encode($txtclave);
  $qver=mysql_query("select * from usuarios where usuario='$txtusr' and clave='$clave' and catedratico = 'S'");
  if(mysql_num_rows($qver)==0){
   alert("Usted ingresó un usuario o clave incorrecta,\\npor favor intente de nuevo","javascript:history.go(-1)");
  }

  $info=mysql_fetch_array($qver);
  session_start();
  $sid=session_id();

  $del_sesion=mysql_query("delete from sesion where sesion = '$sid'");
  $info[usuario]=base64_encode($info[usuario]);

  $sql="insert into sesion
        set sesion='$sid',
        usuario='{$info[usuario]}',
        nombre='{$info[nombre]}',
        apellido='{$info[apellido]}',
        fecha='$fecha',
        hora='$hora',
        clave='$clave',
        ip='$rmhost',
        tipo='Catedratico',
        mail='{$info[mail]}'";

  $ins=mysql_query($sql);

  if($ins){
   alert("Bienvenido:\\n{$info[nombre]} {$info[apellido]}","./catedratico/inicio.php");
  }  else{
   echo mysql_error();
  }
  break;
  case "padre":
  if(!$_POST[txtusr] or !$_POST[txtclave]){
   alert("Ingrese un usuario y contraseña","frm_login.php");
   exit();
  }

  $txtclave=strtolower($txtclave);

  $clave=base64_encode($txtclave);
  $qver=mysql_query("select * from alumnos where carnet='$txtusr' and clave_web='$clave'");
  echo mysql_error();

  if(mysql_num_rows($qver)==0){
   alert("Usted ingresó un usuario o clave incorrecta,\\npor favor intente de nuevo","javascript:history.go(-1)");
  }

  if(mysql_num_rows($qver)>1){
  ?>
     SELECCIONE UN ALUMNO...
  <?
  exit();
  }

  $info=mysql_fetch_array($qver);
  if($info[activo]!="S"){
    alert("Su usuario está bloqueado,\\ncomuníquese con la administración del establecimiento.","frm_login.php");
  }

  session_start();
  $sid=session_id();

  $del_sesion=mysql_query("delete from sesion where sesion = '$sid'");
//  $info[usuarioweb]=base64_encode($info[usuarioweb]);
  $info[carnet]=base64_encode($info[carnet]);
//  echo $info[clave];
  $clave=$info[clave];

  $sql="insert into sesion
        set sesion='$sid',
        usuario='{$info[carnet]}',
        nombre='{$info[nombre]}',
        apellido='{$info[apellido]}',
        fecha='$fecha',
        hora='$hora',
        clave='$clave',
        ip='$rmhost',
        tipo='Padre',
        seccion='{$info[seccion]}',
        mail='{$info[mail]}'";

  $ins=mysql_query($sql);

  if($ins){
   alert("Bienvenido:\\n{$info[nombre]} {$info[apellido]}","./padres/inicio.php");
  }  else{
   echo mysql_error();
  }
  break;
  case "admin":
    if(!$_POST[txtusr] or !$_POST[txtclave]){
   alert("Ingrese un usuario y contraseña","frm_login.php");
   exit();
  }

  $clave=base64_encode($txtclave);

  $qver=mysql_query("select * from usuarios where usuario='$txtusr' and clave='$clave' and admin = 'S'");
  if(mysql_num_rows($qver)==0){
   alert("Usted ingresó un usuario o clave incorrecta,\\npor favor intente de nuevo","javascript:history.go(-1)");
  }

  $info=mysql_fetch_array($qver);

  //$sid=$rmhost.":".$clave;
  session_start();
  $sid=session_id();
//  echo $sid;
  $del_sesion=mysql_query("delete from sesion where sesion = '$sid'");
  $info[usuario]=base64_encode($info[usuario]);

  $sql="insert into sesion
        set sesion='$sid',
        usuario='{$info[usuario]}',
        nombre='{$info[nombre]}',
        apellido='{$info[apellido]}',
        fecha='$fecha',
        hora='$hora',
        clave='$clave',
        ip='$rmhost',
        tipo='Admin',
        mail='{$info[mail]}'";

  $ins=mysql_query($sql);

  if($ins){
   alert("Bienvenid@:\\n{$info[nombre]} {$info[apellido]}","./admin/inicio.php");
//   header("Location: inicio.php?sid=$sid");
  }  else{
   echo mysql_error();
  }
  break;
}
?>